# Add a stock location (warehouse, shop, supplier or virtual)

`POST /shop/locations` · Rivier · shop

Add a stock location (warehouse, shop, supplier or virtual).

- Scope: shop:admin
- Mcp: rivier_shop_location_create
- Sdk: shop.location.create
- Cli: shop location create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "kind": {
      "type": "string",
      "enum": [
        "warehouse",
        "shop",
        "supplier",
        "virtual"
      ],
      "default": "warehouse"
    },
    "position": {
      "type": "integer",
      "minimum": 0,
      "maximum": 10000,
      "default": 0
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/shop/locations' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
```
